Bug 224216 - [PlayStation] Provide a non-empty User Agent
Summary: [PlayStation] Provide a non-empty User Agent
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore Misc. (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Stephan Szabo
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2021-04-05 17:10 PDT by Stephan Szabo
Modified: 2021-04-07 00:41 PDT (History)
3 users (show)

See Also:


Attachments
Patch (4.64 KB, patch)
2021-04-06 10:14 PDT, Stephan Szabo
no flags Details | Formatted Diff | Diff
Patch (4.68 KB, patch)
2021-04-06 13:08 PDT, Stephan Szabo
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Stephan Szabo 2021-04-05 17:10:14 PDT
Right now we have a stub that just provides an empty user agent, replace this with code to actually generate a user agent similar to glib ports.
Comment 1 Stephan Szabo 2021-04-06 10:14:06 PDT
Created attachment 425296 [details]
Patch
Comment 2 Stephan Szabo 2021-04-06 13:08:29 PDT
Created attachment 425315 [details]
Patch

Update to use makeString, switch to different getenv thing (other version needs other changes, so want to push to future patch), make versionForUAString constexpr
Comment 3 Ross Kirsling 2021-04-06 13:40:27 PDT
Comment on attachment 425315 [details]
Patch

Seems good now.
Comment 4 EWS 2021-04-07 00:40:45 PDT
Committed r275590: <https://commits.webkit.org/r275590>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 425315 [details].
Comment 5 Radar WebKit Bug Importer 2021-04-07 00:41:15 PDT
<rdar://problem/76321233>